local addonName, addonTable = ...

BonusRollManagerVariables = {} --This WILL be saved between Sessions
BonusRollManagerTable = {} --This WILL NOT be saved between Sessions; Used for "global" constants



BonusRollManagerVariables.selectedClass = "Select your Class"	--Saves the selected Class
BonusRollManagerVariables.selectedSpec = ""				--Saves the selected Spec
BonusRollManagerVariables.selectedLegSlot = {"", ""}	--Saves the selected legendary slots
BonusRollManagerVariables.statweights = {[0] = {0,0,0,0,0,0,0,0,0, 0, 0} }		--Saves the selected statweights
BonusRollManagerVariables.showOnlyActive = false		--Saves whether or not inactive statweights should be shown
BonusRollManagerVariables.selectedBosses = {}			--Saves the difficulty bosses will be killed at
BonusRollManagerVariables.calculatedBosses = {0,0,0}	--Saves the calculated bosses
BonusRollManagerVariables.sortedBosses = {}
BonusRollManagerVariables.BiS = {}
BonusRollManagerVariables.numTier = 4					--number of Tier pieces the player wants
BonusRollManagerVariables.bonusScoreNames = {}			--array of the item names
BonusRollManagerVariables.bonusScoreValues = {}			--table of strings that can be converted to functions. Keys are item names
BonusRollManagerVariables.bonusScoreText = {}			--table of strings that are the user's input. Keys are item names
BonusRollManagerVariables.help = true					--boolean enabling tooltips


BonusRollManagerTable.raidID = 946							--RaidID of the current Raid (Antorus)										HHHHHHHHHHHHHHHHHHHHH
BonusRollManagerTable.numBosses = 11						--Number of Bosses of the current Raid										HHHHHHHHHHHHHHHHHHHHH
BonusRollManagerTable.classID = {							--Table of ClassIDs
	["Select your Class"] = 0,
	["Warrior"] = 1,
	["Paladin"] = 2,
	["Hunter"] = 3,
	["Rogue"] = 4,
	["Priest"] = 5,
	["Death Knight"] = 6,
	["Shaman"] = 7,
	["Mage"] = 8,
	["Warlock"] = 9,
	["Monk"] = 10,
	["Druid"] = 11,
	["Demon Hunter"] = 12
}
BonusRollManagerTable.specID = {							--table of SpecIDs
	["Select your Class"] = {[""] = 0},
	["Death Knight"] = {["Blood"] = 250, ["Frost"] = 251, ["Unholy"] = 252},
	["Demon Hunter"] = {["Havoc"] = 577, ["Vengance"] = 581},
	["Druid"] = {["Balance"] = 102, ["Feral"] = 103, ["Guardian"] = 104, ["Restoration"] = 105},
	["Hunter"] = {["Beast Mastery"] = 253, ["Marksmanship"] = 254, ["Survival"] = 255},
	["Mage"] = {["Arcane"] = 62, ["Fire"] = 63, ["Frost"] = 64},
	["Monk"] = {["Brewmaster"] = 268, ["Mistweaver"] = 270, ["Windwalker"] = 269},
	["Paladin"] = {["Holy"] = 65, ["Protection"] = 66, ["Retribution"] = 70},
	["Priest"] = {["Discipline"] = 256, ["Holy"] = 257, ["Shadow"] = 258},
	["Rogue"] = {["Assassination"] = 259, ["Outlaw"] = 260, ["Subtlety"] = 261},
	["Shaman"] = {["Elemental"] = 262, ["Enhancement"] = 263, ["Restoration"] = 264},
	["Warlock"] = {["Affliction"] = 265, ["Demonology"] = 266, ["Destruction"] = 267},
	["Warrior"] = {["Arms"] = 71, ["Fury"] = 72, ["Protection"] = 73}
}
BonusRollManagerTable.frameCreated = false					--Used to determine if mainFrame was already created this Session
BonusRollManagerTable.tierIDs = {							--Table of IDs of current Tier sets for all classes							HHHHHHHHHHHHHHHHHHHHH
	["Warrior"] = 1319,
	["Paladin"] = 1324,
	["Hunter"] = 1327,
	["Rogue"] = 1322,
	["Priest"] = 1323,
	["Death Knight"] = 1330,
	["Shaman"] = 1321,
	["Mage"] = 1326,
	["Warlock"] = 1320,
	["Monk"] = 1325,
	["Druid"] = 1328,
	["Demon Hunter"] = 1329
}
BonusRollManagerTable.tierSlots = {}						--Table of the slots of current Tier Pieces
BonusRollManagerTable.slotNames = {INVTYPE_HEAD, INVTYPE_NECK, INVTYPE_SHOULDER, INVTYPE_CLOAK, INVTYPE_CHEST, INVTYPE_WRIST, INVTYPE_HAND, INVTYPE_WAIST, INVTYPE_LEGS, INVTYPE_FEET, INVTYPE_FINGER, INVTYPE_TRINKET}
BonusRollManagerTable.numLoot = {}
BonusRollManagerTable.bossID = {}



BonusRollManagerTable.getSelectedSpecID = function()
	return BonusRollManagerTable.specID[BonusRollManagerVariables.selectedClass][BonusRollManagerVariables.selectedSpec]
end



for class, classSpecs in pairs(BonusRollManagerTable.specID) do
	for spec, specID in pairs(classSpecs) do
		BonusRollManagerVariables.statweights[specID] = {0,0,0,0,0,0,0,0,0, 0, 0}
	end
end












